version 3.1.9 (07-2016) - OLD

Les dernières versions d'Agora-Project se trouvent ici !
N'hésitez pas à partager vos premières impressions ou suggestions de correctifs.
xech
Administrateur du site
Messages : 779
Inscription : 17 janv. 2008, 20:58

version 3.1.9 (07-2016) - OLD

Message par xech » 24 juil. 2016, 11:01

VERSION 3.1.9 (07-2016) :

correction de l'ouverture des fichiers pdf sur les appareils tactiles
Optimisation de l'application

Et bonnes vacances à tous!


Procédure de mise à jour (version 2.0 ou plus récente)

• Vérifier que le serveur possède une version PHP 5.4 ou plus récente
• Si besoin, vérifier que la mise à jour se fait sur une version standard d'Agora-Project, et non une version customisée / modifiée.
• Via le module d'administration de votre espace, cliquer sur «Sauvegarder la base de données et les fichiers» et vérifier l’intégrité du fichier téléchargé. Cette sauvegarde permet un retour en arrière en cas de difficulté.
• Télécharger le fichier "MISE-A-JOUR_agora-project.zip" et décompresser l'archive sur votre poste.
• Aller dans le répertoire du serveur web, à l'emplacement l'ancienne version d'Agora-Project (via un client Ftp si vous avez un hébergement mutualisé).
• Enlever les fichiers et dossiers de l'ancien Agora-Project → sauf le dossier "stock_fichiers" ou le dossier "DATAS" !
• Ajouter le contenu suivant de l'archive Zip : les dossiers "app", “docs” puis en dernier le fichier "index.php".
• Si besoin, donner un droit en Lecture + Ecriture + Exécution aux nouveaux dossiers et fichiers, et appliquer aux sous-dossiers (récursion) : chmod 775 -R.
• Avec votre navigateur, allez sur la page d'accueil de votre espace : la mise à jour est instantanée et un message apparaît pour confirmer l'installation. Notez que le cas échéant, le dossier "stock_fichiers" est automatiquement renommé en "DATAS".


Procédure pour une première installation

• Vérifier que le serveur possède une version PHP 5.4 ou plus récente
• Télécharger le fichier "agora-project.zip" et décompresser l'archive sur votre poste.
• Aller dans le répertoire du serveur web, où sera installé Agora-Project v3 (via un client Ftp si vous avez un hébergement mutualisé).
• Ajouter le contenu de l'archive Zip : les dossiers "app", “docs”, “DATAS” et le fichier "index.php".
• Si besoin, donner un droit en Lecture + Ecriture + Exécution aux nouveaux dossiers et fichiers, et appliquer aux sous-dossiers (récursion) : chmod 775 -R.
• Avec votre navigateur, allez sur la page d'accueil de votre espace : remplir le formulaire d'installation et valider : l'espace est alors prêt à l'emploi !
• Note : sur un espace perso Free, il faut créer un dossier "sessions" à la racine du site.

.
Pièces jointes
MISE-A-JOUR_agora-project.zip
(7.94 Mio) Téléchargé 228 fois
agora-project.zip
(7.94 Mio) Téléchargé 182 fois

jem
Messages : 13
Inscription : 12 avr. 2012, 18:36

Re: version 3.1.9 (07-2016) - NEW

Message par jem » 28 juil. 2016, 08:06

Bonjour,

J'ai essayé en repartant de mon backup.
en faisant la MAJ, j'ai le message suivant
Invalid argument supplied for foreach()

Warning: Invalid argument supplied for foreach() in C:\AppPortable\xampp\htdocs\agora\app\Common\File.php on line 65
Warning: Invalid argument supplied for foreach() in C:\AppPortable\xampp\htdocs\agora\app\Common\File.php on line 65
...


Merci de vos conseils.
Cordialement

jem
Messages : 13
Inscription : 12 avr. 2012, 18:36

Re: version 3.1.9 (07-2016) - NEW

Message par jem » 28 juil. 2016, 10:17

Re, J'ai corrigé ainsi le fichier agora\app\Common\File.php
modif des lignes 65
//MODIF LA CONSTANTE COURANTE : SI ELLE EST DANS "$tabAddModifConst"
// JEM corr
//foreach($tabAddModifConst as $constName=>$constValue)
foreach((array) $tabAddModifConst as $constName=>$constValue)
et lignes 83
//// AJOUTE LES CONSTANTES DE ABSENTES DU FICHIER (ET PAS PRECEDEMENT MODIFIES!)
// JEM
//foreach($tabAddModifConst as $constName=>$constValue)
foreach((array) $tabAddModifConst as $constName=>$constValue)

mais ensuite eu unpb d'echec dues a ce que j'ai de nombreux fichiers et repertoires et donc un timeout d'ou un set_time limit en début de script
// JEM
set_time_limit(0);

BINOUZZ2808
Messages : 1
Inscription : 28 juil. 2016, 03:29

Re: version 3.1.9 (07-2016) - NEW

Message par BINOUZZ2808 » 29 juil. 2016, 03:09

Bonjour,

J'ai tenté d'installer cette version d'agora mais l'installation se passe bien mais se passe en boucle s'est a dire que je n'ai pas accès au logiciel après l'installation mais s'est toujours la page d’installation qui reviens sans cesse :( .

Merci pour votre aide et vos conseils

herve
Messages : 39
Inscription : 04 mai 2011, 17:15

Re: version 3.1.9 (07-2016) - NEW

Message par herve » 09 août 2016, 09:33

Bonjour;

La mise à jour de ma version 2.17.1 à la version 3 n'abouti pas car j'ai une base de donnée "customizée" par des modules extérieurs ( désinstallé depuis ).

L'essai de mise à jour vers la 3.1.9 ne reconnais pas mes couples login/pass
L'essai de générer un nouveau pass via l'option "mot de passe oublié" ne fonctionne pas :-(
Par contre l'accès à l'espace public via le mot de passe commun fonctionne :-)

J'ai lu que certains ont réussi à nettoyer leurs bases de données et valider leur MAJ vers les versions 3

Je suis preneur de tous conseils, astuces pour réaliser ce nettoyage et mise à jour.

Etant utilisateur d'Agora Project depuis de nombreuses années ( merci au concepteur xech ) j'essaye de suivre les mises à jour ......

Dans le cas d'une impossibilité de nettoyer mes bases des éléments indésirables peut on réaliser une installation "vierge" et récupérer sur une mise à jour "boiteuse" les tables nécessaires à la gestion des modules Actu, Fichiers, Forum ?

Merci

Hervé

herve
Messages : 39
Inscription : 04 mai 2011, 17:15

Re: version 3.1.9 (07-2016) - NEW

Message par herve » 09 août 2016, 19:01

Re bonjour :-))

Je me réponds;

J'ai réussi la MAJ de cette manière :

Dans un répertoire j'ai fait une mise à jour de mon ancien Agora pour convertir mon ancienne base de donnée et créer le répertoire DATA
Dans le répertoire de production :
- j'ai réalisé une nouvelle installation
- copié le répertoire DATA cité ci dessus
- dans la base de donnés nouvellement crée j'ai supprimé toutes les tables SAUF les tables ap_user....
- j'ai fait un export dans ma table convertie de toutes les tables SAUF les tables ap_user....
- j'ai créé les comptes des principaux utilisateurs ( dans l'ordre de leur ID )
- pour les autres utilisateurs il recevront un mail de réinscription.

Par contre j'ai le problème suivant :
J'ai un espace public ( avec mot de passe ) dans lequel j'active que les modules mail et agenda
Dans cet espace il n' y a que un membre avec une adresse mail qui permet de nous envoyer des messages
Dans la version 2, un invité se connectant à cet espace public pouvait envoyer un mail.
Dans la version 3 avec les mêmes réglages le module mail ne s'affiche pas.

????

Hervé

reivilo33
Messages : 6
Inscription : 09 janv. 2014, 17:32

Re: version 3.1.9 (07-2016) - NEW

Message par reivilo33 » 26 août 2016, 09:31

Depuis la mise à jour, je n'arrive plus à me connecter sur mon interface avec mon nom d'utilisateur et mot de passe, comment reinitialiser le mot de passe via la base de données ? URGENT +++

reivilo33
Messages : 6
Inscription : 09 janv. 2014, 17:32

Re: version 3.1.9 (07-2016) - NEW

Message par reivilo33 » 26 août 2016, 15:08

En plus quand je fais la màj, j'ai le message suivant : L'application a déjà été installée sur cette base de données. Merci de supprimer la BDD si vous souhaitez relancer l'installation.

Merci de votre aide, urgent++++

mbob2674
Messages : 4
Inscription : 24 mars 2016, 15:24

Re: version 3.1.9 (07-2016) - NEW

Message par mbob2674 » 08 sept. 2016, 09:11

Bonjour,

Je voulais vous dire mon expérience sur la migration.
je suis sous un poste Linux et il m'a été impossible de passer de la versions 1.9.7 à 3.1.9. Rien ne se passait
J'ai donc fait la migration sous Windows et réintroduit Base de données et fichier sur mon linux. Et j'ai eu des soucis de nom dans la base de données à cause des majuscules dans les noms de tables.
Ce serait bien si vous pouviez prendre en compte ce genre de soucis

Bonne journée

formatpixels
Messages : 2
Inscription : 09 sept. 2016, 15:10

Re: version 3.1.9 (07-2016) - NEW

Message par formatpixels » 09 sept. 2016, 15:22

Bonjour je viens de mettre à jour ma version et j ai un bug pour la notification mail des evenement dans les agendas...
merci de m'éclairer
cordialement

xech
Administrateur du site
Messages : 779
Inscription : 17 janv. 2008, 20:58

Re: version 3.1.9 (07-2016) - OLD

Message par xech » 09 sept. 2016, 17:17

Bonjour à tous!
Voici une répondre aux quelques question posées ici :

@jem : cela devrait être réglé avec la version 3.1.10. Merci de repartir sur la sauvegarde de la v.3.1.8 pour la mise à jour

@BINOUZZ2808 : il faudrait voir plus exactement le fichier "error.log" d'apache pour avoir plus de détails. Et aussi bien vérifier que la version de PHP soit compatible avec la v3.

@herve : normalement depuis une version 2.17.1 "normale", il ne doit pas y avoir de problème avec les mots de passe. Aussi il faudrait savoir ce qu'il y a exactement sur la version customisée : la mise à jour pourrait être assez compliqué si les modules de base ont été affectés. Pour faire simple, il faudrait reprendre la base de donnée de la v.2.17 customisée, enlever toutes les tables et champs qui ne correspondent pas à la v.2.17 officielle, puis lancer une procédure de mise à jour avec la v3.1.10 ..et surtout vérifier en base de donnée si et comment les mots de passe sont modifiés. Normalement ils ne doivent pas l'être. Aussi, vérifier que le "SALT" du "config.inc.php" soit toujours le même avant et après la mise à jour.

@reivilo33 : depuis quelle version la mise à jour a-t-elle été faite? Et aussi est-ce une version officielle ou une version "customisée" type cyracuse ou autre? Car cela peut changer la donne : la v3 n'est pas prévu pour prendre en charge les modifications exotiques.

@mbob2674 : la version 1.9 n'est plus maintenue depuis près de 10 ans. Et la mise à jour de la v1 vers la v2 n'a pas été prise en charge à l'époque, mais c'est le cas de la v2 (toute versions depuis 2008) vers la v3. Il est donc normal que cela ne puisse pas se faire. Aussi, depuis quand cette version 1.9 est-elle installée et d'ou provient-elle?

@formatpixels : peut-on avoir plus de détails sur ce "bug"? Y a-t-il un message d'erreur ou est-ce tout simplement les messages qui ne partent pas? Dans ce dernier cas, il faudrait plutôt voir le paramétrage de sendmail ou postfix sur le serveur

Sinon, merci de vous référer à la nouvelle version 3.1.10
Bonne rentrée à tous!

Verrouillé